"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("../..");
function propertyExistsIn(values, key) {
    return values.every(value => value[key] !== undefined);
}
exports.propertyExistsIn = propertyExistsIn;
function getObjectMap(o, path) {
    let res = new __1.Map();
    if (o) {
        let properties = Object.getOwnPropertyNames(o);
        for (let i = 0; i <= properties.length; i++) {
            let property = properties[i];
            if (typeof o[property] === 'number' || typeof o[property] === 'string' || o[property] instanceof Date) {
                res.put(`${path}.${property}`, o[property]);
            }
            else
                res.putAll(this.getObjectMap(o[property], path));
        }
    }
    return res;
}
exports.getObjectMap = getObjectMap;
//# sourceMappingURL=reflect.js.map